{{ define "content" }}
<h1>
	SOHVAPERUNA 2018
</h1>
<p>
	Hei, ja tervetuloa Sohvaperuna 2018 -veikkaukseen!
</p>
<p>
	Pahoittelemme, että veikkauksen lanseeraus on tänä vuonna hieman myöhässä - pilvipalvelumme sulkeutui, ja meidän oli pakko rakentaa sivumme uusiksi tyhjästä. Tästä johtuen sivut ovat tässä vaiheessa vielä vähän ankean näköiset, ja saattaa myös olla, että veikkauksia pääsee tarkastelemaan ja vertailemaan hieman myöhemmin kuin ennen. (Mattias tosin väittää, että nämä uudet ovat teknisesti paremmat - ks. "Mattiaksen jorinat" alla.)
</p>
<p>
	Pääasia kuitenkin on, että veikkaus sujuu kuten ennenkin! 
	Veikkaamaan pääset klikkaamalla yläreunasta kohtaa "Luo tunnus". 
	Siellä voit luoda itsellesi tunnuksen kirjoittamalla kenttiin sinulle jaetun kutsukoodin lisäksi nimesi ja sähköpostiosoitteesi. 
	Seuraavaksi valitset itsellesi salasanan. (Huom! Pidä huoli, että muistat salasanasi!) 
	<strong>Tunnuksen luomisen jälkeen voit kirjautua aina sisään sähköpostiosoitteellasi ja salasanallasi.</strong> 
	Sitten ei muuta kuin peliä!
</p>
<p>
	Kaikkien maiden sohvaperunat, yhtykää!
</p>
<p>
	-Anssi
</p>

<h2 class="mt-5">
	Mattiaksen jorinat
</h2>
<p>
	Pahoittelut tästä myöhäisestä lanseerauksesta. 
	Syitä on monia, mutta perimmäisinä ajanpuute ja vaaditut isot muutokset.
</p>
<p>
	Pilvipalvelu, missä tietokanta majaili, ilmoitti, ettemme saa enää loisia heillä. 
	Myös toisen alustapalvelutarjoajan teknologiavaatimukset muuttuivat, tuki vanhalle 
	skriptillemme katosi eikä se enää toiminut sellaisenaan siellä.
</p>
<p>
	Vaihtoehdoiksi jäi tehdä suuri päivitys olemassa oleviin skripteihin tai tuore toteutus puhtaalta pöydältä. 
	Päätin rakentaa uutta. Noin 15 vuotta vanhat, hyvin palvelleet skriptimme eivät mielestäni olleet enää 
	säästämisen arvoisia. Päätös ottaa käyttöön uusi teknologia myös auttoi löytämään uuden 
	pilvipalveluntarjoajan tutustumistarjouksineen.
</p>
<p>
	Lyhyesti: tärkeysjärjestyksenä on ollut mahdollistaa veikkaaminen, 
	toisin sanoen veikkausten syöttö ja niiden seuranta. 
</p>

<h3 class="mt-5">
	Teknologiahistoria
</h3>
<ul>
	<li>
		2018
		<ul>
			<li>Ohjelma kirjoitettu puhtaalta pöydältä uusiksi <a href="https://golang.org/" target="_blank" title="golang">GO</a>:lla</li>
			<li>MySQL tietokanta vieläkin</li>
			<li>Pilvestä tarjottuna, <a href="https://cloud.google.com/" target="_blank" title="Google Cloud">Google Cloud</a>:lla käytössä App Engine ja Cloud SQL</li>
			<li>Lisä tietoa <a href="https://gitlab.com/mattias.fellman/1-X-2" target="_blank">Gitlab repo</a>, osallistu kehittämiseen?</li>
		</ul>
	</li>
	<li>
		2016
		<ul>
			<li>PHP skriptin viimeinen paikattu versio</li>
			<li>MySQL tietokanta ClearDB:lla</li>
			<li>Sovellus tarjottu Azure:lla</li>
			<li>Pilvitarjontaalusta päivittynyt ja skriptit vaativat &quot;paikkaamista&quot;</li>
		</ul>
	</li>
	<li>	
		2014
		<ul>
			<li>PHP skripti vielä voimissaan</li>
			<li>MySQL tietokanta <a href="http://w2.cleardb.net/" target="_blank" title="ClearDB">ClearDB</a> palvelussa</li>
			<li>Sovellus tarjottu <a href="https://azure.microsoft.com/en-us/overview/what-is-azure/" target="_blank" title="Azure">Azure</a>:lla</li>
			<li>Muutto pilvialustoille kun vanha webbihotelli ei ollut käytettävissä enää</li>
		</ul>
	</li>
	<li>
		2012	
		<ul>
			<li>PHP skripti ja MySQL tietokanta vieläkin</li>
			<li>Perinteinen webbihotelli LAMP -stackilla</li>
			<li><a href="https://jquery.org/" target="_blank" title="jQuery">jQuery</a> otettu käyttöön, aikainen lintu</li>
		</ul>
	</li>
	<li>
		2006 - 2010	
		<ul>
			<li><a href="http://www.php.net/" target="_blank" title="PHP">PHP</a> skripti ja <a href="https://www.mysql.com/" target="_blank" title="MySQL">MySQL</a> tietokanta</a></li>
			<li>Webbihotelli <a href="https://sv.wikipedia.org/wiki/LAMP" target="_blank" title="LAMP">LAMP -stack</a>:lla</li>
			<li>Ensimmäinen dynaaminen sivu nopeilla päivityksilla</li>
		</ul>
	</li>
	<li>
		2004
		<ul>
			<li>Exceli</li>
			<li>Åbo Akademi -palvelimella</li>
			<li>Ensimmäistä kertaa tietoa saatavilla netistä, staattisilla sivuilla</li>
		</ul>
	</li>
	<li>
		2002 ja sitä ennen
		<ul>
			<li>Paperitse <i class="far fa-smile"></i></li>
		</ul>
	</li>
</ul>

{{ end }}
